<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.2//EN" "http://struts.apache.org/dtds/struts-config_1_2.dtd">

<struts-config>
	<global-exceptions />
	<global-forwards>
		<forward name="error" path="/error.jsp" />
		<forward name="success" path="/success.jsp" />
	    <forward name="index" path="/index.jsp" />
	</global-forwards>

	<!-- action类映射定义 -->
	<action-mappings>
		<action path="/error" parameter="/error.jsp" type="org.apache.struts.actions.ForwardAction" />
		<action path="/success" parameter="/success.jsp" type="org.apache.struts.actions.ForwardAction" />
        <!-- 用户设置的Action-->
		<action path="/userAction" 
				type="org.springframework.web.struts.DelegatingActionProxy" 
				scope="request" 
				validate="false">
			<forward name="main" path="/userManage/main.jsp" />
		</action>
		
		<!-- 绑定号码设置列表的Action-->
		<action path="/bindPhoneAction" 
				type="org.springframework.web.struts.DelegatingActionProxy" 
				scope="request" 
				parameter="method"
				validate="false">
			<forward name="bindPhoneList" path="/bindPhoneManage/list.jsp" />
			<forward name="updateBindPhone" path="/bindPhoneManage/update.jsp" />
		</action>

		<!-- 黑白名单列表-->
		<action path="/callBarringAction" 
				type="org.springframework.web.struts.DelegatingActionProxy" 
				scope="request" 
				validate="false">
			<forward name="callBarringList" path="/callBarringManage/list.jsp" />
			<forward name="updateCallBarring" path="/callBarringManage/update.jsp" />
		</action>

		<!-- 开启和关闭时间设置的Action -->
		<action path="/callTimeLimitAction" 
				type="org.springframework.web.struts.DelegatingActionProxy" 
				scope="request" 
				validate="false">
			<forward name="callTimeLimitList" path="/callTimeLimitManage/list.jsp" />
			<forward name="updateCallTimeLimit" path="/callTimeLimitManage/update.jsp" />
		</action>
	</action-mappings>
    
    <!-- 消息的配置文件-->
	<message-resources parameter="ApplicationResources" />
	
	<plug-in className="org.springframework.web.struts.ContextLoaderPlugIn">    
         <set-property property="contextConfigLocation"    
             value="/WEB-INF/applicationContext.xml" />    
       </plug-in> 
</struts-config>

